Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.trax
Class TransformException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.xml.sax.SAXException
                        |
                        +--org.xml.sax.SAXParseException
                              |
                              +--org.apache.trax.TransformException

public class TransformException
extends SAXParseException

This simply subclasses the TransformException for the purposes of being able to be caught in a catch clause.

### Open issues:

#### No open issues are known for this class

See Also:
  Serialized Form

Constructor Summary
`TransformException(java.lang.Exception e)` Create a new TransformException wrapping an existing exception.
`TransformException(java.lang.Exception e, Locator locator)` Create a new TransformException wrapping an existing exception.
`TransformException(java.lang.String message)` Create a new TransformException.
`TransformException(java.lang.String message, java.lang.Exception e)` Wrap an existing exception in a TransformException.
`TransformException(java.lang.String message, Locator locator)` Create a new TransformException from a message and a Locator.
`TransformException(java.lang.String message, Locator locator, java.lang.Exception e)` Wrap an existing exception in a TransformException.
`TransformException(java.lang.String message, java.lang.String publicId, java.lang.String systemId, int lineNumber, int columnNumber)` Create a new TransformException.
`TransformException(java.lang.String message, java.lang.String publicId, java.lang.String systemId, int lineNumber, int columnNumber, java.lang.Exception e)` Create a new TransformException with an embedded exception.

Method Summary
`java.lang.String` | `getMessage()` Find the most contained message.
`void` | `printStackTrace(java.io.PrintStream s)` Print the the trace of methods from where the error originated.
`void` | `printStackTrace(java.io.PrintWriter s)` Print the the trace of methods from where the error originated.

Methods inherited from class org.xml.sax.SAXParseException
`getColumnNumber, getLineNumber, getPublicId, getSystemId`

Methods inherited from class org.xml.sax.SAXException
`getException, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TransformException

    public TransformException(java.lang.String message)

  Create a new TransformException.
  Parameters:
    `message` - The error or warning message.
  See Also:
    `SAXException`

### TransformException

    public TransformException(java.lang.Exception e)

  Create a new TransformException wrapping an existing exception.
  Parameters:
    `e` - The exception to be wrapped in a SAXException.
  See Also:
    `SAXException`

### TransformException

    public TransformException(java.lang.Exception e,
                              Locator locator)

  Create a new TransformException wrapping an existing exception.
  Parameters:
    `e` - The exception to be wrapped in a SAXException.
  See Also:
    `SAXException`

### TransformException

    public TransformException(java.lang.String message,
                              java.lang.Exception e)

  Wrap an existing exception in a TransformException.

  This is used for throwing processor exceptions before the processing has started.

  Parameters:
    `message` - The error or warning message, or null to use the message from the embedded exception.
    `e` - Any exception
  See Also:
    `Locator`, `Parser.setLocale(java.util.Locale)`

### TransformException

    public TransformException(java.lang.String message,
                              Locator locator)

  Create a new TransformException from a message and a Locator.

  This constructor is especially useful when an application is creating its own exception from within a DocumentHandler callback.

  Parameters:
    `message` - The error or warning message.
    `locator` - The locator object for the error or warning.
  See Also:
    `Locator`, `Parser.setLocale(java.util.Locale)`

### TransformException

    public TransformException(java.lang.String message,
                              Locator locator,
                              java.lang.Exception e)

  Wrap an existing exception in a TransformException.

  This constructor is especially useful when an application is creating its own exception from within a DocumentHandler callback, and needs to wrap an existing exception that is not a subclass of SAXException.

  Parameters:
    `message` - The error or warning message, or null to use the message from the embedded exception.
    `locator` - The locator object for the error or warning.
    `e` - Any exception
  See Also:
    `Locator`, `Parser.setLocale(java.util.Locale)`

### TransformException

    public TransformException(java.lang.String message,
                              java.lang.String publicId,
                              java.lang.String systemId,
                              int lineNumber,
                              int columnNumber)

  Create a new TransformException.

  This constructor is most useful for parser writers.

  If the system identifier is a URL, the parser must resolve it fully before creating the exception.

  Parameters:
    `message` - The error or warning message.
    `publicId` - The public identifer of the entity that generated the error or warning.
    `systemId` - The system identifer of the entity that generated the error or warning.
    `lineNumber` - The line number of the end of the text that caused the error or warning.
    `columnNumber` - The column number of the end of the text that cause the error or warning.
  See Also:
    `Parser.setLocale(java.util.Locale)`

### TransformException

    public TransformException(java.lang.String message,
                              java.lang.String publicId,
                              java.lang.String systemId,
                              int lineNumber,
                              int columnNumber,
                              java.lang.Exception e)

  Create a new TransformException with an embedded exception.

  This constructor is most useful for parser writers who need to wrap an exception that is not a subclass of SAXException.

  If the system identifier is a URL, the parser must resolve it fully before creating the exception.

  Parameters:
    `message` - The error or warning message, or null to use the message from the embedded exception.
    `publicId` - The public identifer of the entity that generated the error or warning.
    `systemId` - The system identifer of the entity that generated the error or warning.
    `lineNumber` - The line number of the end of the text that caused the error or warning.
    `columnNumber` - The column number of the end of the text that cause the error or warning.
    `e` - Another exception to embed in this one.
  See Also:
    `Parser.setLocale(java.util.Locale)`

Method Detail

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Print the the trace of methods from where the error originated. This will trace all nested exception objects, as well as this object.
  Parameters:
    `s` - The stream where the dump will be sent to.
  Overrides:
    printStackTrace in class java.lang.Throwable

### getMessage

    public java.lang.String getMessage()

  Find the most contained message.
  Overrides:
    getMessage in class SAXException

### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

  Print the the trace of methods from where the error originated. This will trace all nested exception objects, as well as this object.
  Parameters:
    `s` - The writer where the dump will be sent to.
  Overrides:
    printStackTrace in class java.lang.Throwable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.